#!/bin/csh
###############################################################
#
#  tcsh を快適なログインシェルとして利用する設定ファイル(cygwin ver)
# 
###############################################################


# コマンドのヒストリ機能を300にします．
set     history         = 1000
set     savehist        = 0
set     notify
set     listjobs
set     ignoreeof
set     noclobber
# 全てのシェルのヒストリがマージされて保存
# set	savehist=($history merge)

#  [TAB] キーを押すことで、ファイルの一覧を表示
set	autolist

# コマンドの入力を間違えても，少しぐらいであれば訂正
set	autocorrect

# csh で ESC キーを押すことでファイル名の補完
# tcsh ではデフォルトで補完
set	filec

# リダイレクション (>) でファイル上書きをできなくする
set	noclobber

# 言語環境を日本語モードにする
# setenv	LANG	japanese
setenv  PAGER           "less -s"
setenv  PRINTER         xps
# setenv  LANG        ja_JP.eucJP
setenv  LANG        ja_JP.UTF-8


# 通常Ctrl+dでログアウトしない
set	ignoreeof

# 自動ログアウトの制御
unset	autologout

# プロンプトの変更をします
#set prompt="%{\e[01;33m%}%n@%m:%c[\!]%{\e[0m%} "
set     prompt="%n@%m:%~[%h] "
# set color

set binD  = bin.$OSTYPE.$MACHTYPE
set binD2 = $binD.`hostname -s`

# エーリアスを登録します．エーリアスとは，コマンドの置換機能
alias   ls       'ls -FG'
alias   l        'ls -lgGF'
alias   ll       'ls -lgGaF'
alias   la      'ls -aGF'
alias   cp      'cp -i'
alias   mv      'mv -i'
alias   pu      'pushd'
alias   po      'popd'
alias   bye     'exit'
alias   j       'jobs -l'
alias   xterm   'xterm -r'

alias   now      date "+%Y.%m.%d--%H.%M.%S"
alias   ishiguro 'ssh -p 24 kanagawa@alcatel.dip.jp'

if( $binD2 == 'bin.darwin.x86_64.BrglMB' ) then
    alias   top       top -o cpu -s5
    alias   tree    '~/tool/tree-1.5.3/tree'
    alias   emacs   '~/application/Emacs.app/Contents/MacOS/Emacs >&! /dev/null'
    alias   sox     '~/tool/sox-14.4.1/sox'
    alias   play     '~/tool/sox-14.4.1/play'
    alias   RenamePhoto     '~/tool/convtool/photo/renamePhoto.pl'
    alias   r       '~/tool/alias/r.sh'
    alias   rTrash  '~/tool/alias/rTrash.sh'
    alias   wavesurfer   '~/application/WaveSurfer.app/Contents/MacOS/Wish >&! /dev/null'

    set GnuPlot = ~/tool/gnuplot-4.4.3/$binD/bin
    set GnuWGet = ~/tool/wget-1.13.4/$binD
    set Nkf     = ~/tool/nkf207/$binD
    set HTS     = ~/tool/HTS/HTS-2.2ver10/$binD
    set HSTC    = ~/tool/HTS/HTS-HSMM/$binD2/bin
    set SPTK    = ~/tool/SPTK/SPTK-3.4.1/$binD
    set Git     = ~/tool/git-1.8.0.1/$binD/bin
    set BashDB  = ~/tool/Bash/bashdb-4.0-0.1/$binD/bin
    set GPRec   = ~/Desktop/GPRecognition/$binD/bin
    
    set path=($GnuPlot $GnuWGet $Nkf $HTS $HSTC $SPTK $Git $BashDB $GPRec $path)
else if( $binD2 == 'bin.darwin.x86_64.shinjuku' ) then
    alias   top       top -o cpu -s5

    alias emacs '~/tool/emacs/Emacs.app/Contents/MacOS/Emacs'
    set AutoConf = ~/tool/autoconf-2.69/$binD2/bin
    set AutoMake = ~/tool/automake-1.12.5/$binD2/bin
    set GnuWGet = ~/tool/wget-1.14/$binD2/bin
    set Nkf     = ~/tool/nkf207/$binD2
    
    set path=($AutoConf $AutoMake $GnuWGet $Nkf $path)
endif
alias emacs '~/apps/emacs/Emacs.app/Contents/MacOS/Emacs'

